Ticket #16433: Portfile-logtalk.diff

File Portfile-logtalk.diff, 1.8 KB (added by pmoura (Paulo Moura), 13 years ago)
  • Portfile

    old new  
    1 # $Id: Portfile 38654 2008-07-27 18:07:55Z ryandesign@macports.org $
     1# $Id: Portfile 32263 2007-12-23 11:23:10Z ryandesign@macports.org $
    22
    33PortSystem      1.0
    4 
    54name            logtalk
    6 version 2.32.2
     5version 2.33.0
    76
    87categories      lang
    98maintainers     pmoura@logtalk.org
     
    2120homepage        http://logtalk.org/
    2221master_sites    ${homepage}files/
    2322
    24 checksums md5 01e001ac3df9cb304f53f00b8607880e
     23checksums md5 3e5c8f727ca12ed88bae254bc4711376
    2524
    2625distname                lgt[strsed ${version} {g/\.//}]
    2726
     
    5453        ui_msg "* B-Prolog (version 7.1 or later):         bplgt      (first run must use sudo)"
    5554        ui_msg "* CIAO (version 1.10#5 or later):          ciaolgt    (first run must use sudo)"
    5655        ui_msg "* CxProlog (version 0.97.1 or later):      cxlgt"
    57         ui_msg "* ECLiPSe (version 5.10#26 or later):      eclipselgt"
    58         ui_msg "* GNU Prolog (version 1.2.16 or later):    gplgt"
     56        ui_msg "* ECLiPSe (versions 5.10, 6.0):            eclipselgt"
     57        ui_msg "* GNU Prolog (version 1.3.0 or later):     gplgt"
    5958        ui_msg "* K-Prolog (version 5.1.x):                plclgt"
    6059        ui_msg "* Qu-Prolog (version 8.1 or later):        qplgt"
    61         ui_msg "* Quintus Prolog (version 3.5):            quintuslgt"
     60        ui_msg "* Quintus Prolog (version 3.5):            quintuslgt  (implies patching Logtalk)"
    6261        ui_msg "* SICStus Prolog (versions 3.12.x, 4.0.x): sicstuslgt"
    63         ui_msg "* SWI-Prolog (version 5.6.43 or later):    swilgt"
     62        ui_msg "* SWI-Prolog (version 5.6.44 or later):    swilgt"
    6463        ui_msg "* XSB (version 3.1 or later):              xsblgt     (first run must use sudo)"
    6564        ui_msg "* XSB MT (CVS version):                    xsbmtlgt   (first run must use sudo)"
    6665        ui_msg "* XSB MT 64 bits (CVS version):            xsbmt64lgt (first run must use sudo)"